<?php
// Application initializer
//
// Please remember that this include file is being loaded *before* the class
// loader is loading classes from "exceptions", "interfaces" and "main"!
//
// You can prevent adding this application to the selector by uncommenting the
// following line:
//
// if ((isset($this)) && (is_object($this)) && ($this->isClass("ApplicationSelector"))) { return; }
//
// isset() is required to prevent a warning and is_object() is highly required
// when the application itself is requested in URL (hint: index.php?app=your_app)
//
// Get an instance of the helper
$eval = sprintf("\$app = %s::getInstance();",
	FrameworkConfiguration::getInstance()->readConfig("app_helper_class")
);
eval($eval);

// Set application name and version
$app->setAppName("Ship-Simu Schiffsimulator");
$app->setAppVersion("0.1");
$app->setAppShortName("ship-simu");

// Initialize output system
require(PATH . "inc/output.php");

// Initialize file i/o system
require(PATH . "inc/file_io.php");

// Include the language sub-system
require(PATH . "inc/language.php");

// This application needs a database connection then we have to simply include
// the inc/database.php script
require(PATH . "inc/database.php");

// [EOF]
?>
