<?php

// An exception class for lost classes... ;-)
class ContractPartnerMismatchException extends FrameworkException {
	public function __construct ($classArray, $code) {
		// Cast the array
		$classArray = (array) $classArray;

		// Add a message around the missing class
		$message = sprintf("[%s:] Der Vertragspartner von <u>%s</u> ist ung&uuml;tig (<u>%s</u>) und darf diesen Vertrag nicht unterzeichnen!",
			$classArray[0]->__toString(),
			$classArray[1]->getCompanyName(),
			$classArray[2]->getCompanyName()
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
