<?php

// Unsere eigene Exception!
class NoShipyardsConstructedException extends FrameworkException {
	public function __construct ($class, $code) {
		if (is_object($class)) {
			// Add a message around the missing class
			$message = sprintf("[%s:] Keine Werften gefunden!",
				$class->__toString()
			);
		} else {
			// No class given
			$message = sprintf("Please provide a class for <u>%s</u>", __CLASS__);
		}

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
