<?php
/**
 * An interface for tradeable items
 *
 * @author	Roland Haeder <roland __NOSPAM__ [at] __REMOVE_ME__ mxchange [dot] org>
 * @version	0.1
 */
interface ItemIsTradeable extends FrameworkInterface {
	/**
	 * Is this item (=object) tradeable?
	 *
	 * @return	boolean	true  = is a tradeable object,
	 *					false = is not tradeable
	 */
	function isTradeable ();
}

// [EOF]
?>
