<?php

// Dieses kann z.B. der Maschinenraum, die Bruecke, Kabinen, Laderaum, etc. sein
class BaseShipPart extends BaseSimulator {
	// Price of this ship part
	private $price = 0.00;

	// Konstruktor
	private function __construct($class) {
		// Eltern-Konstruktor aufrufen
		parent::constructor($class);

		// Debug message
		if (((defined('DEBUG_SHIPPART')) || (defined('DEBUG_ALL'))) && (defined('DEBUG_CONSTRUCT'))) {
			$this->getDebugInstance()->output(sprintf("[%s:%d:] Kontruktor erreicht.<br />\n",
				__CLASS__,
				__LINE__
			));
		}

		// Beschreibung
		$this->setPartDescr("Schiffsteil");

		// Etwas aufraeumen
		$this->removeNumberFormaters();
	}

	// Konstruktor aufrufen
	public function constructor ($class) {
		$this->__construct($class);
	}

	// Setter for price
	public function setPrice ($price) {
		$this->price = (float) $price;
	}

	// Getter for price
	public function getPrice () {
		return $this->price;
	}

	// Remove price
	public function removePrice () {
		unset($this->price);
	}
}

// [EOF]
?>
